package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 数据权限类型枚举
 *
 * @author ruoyi
 */
@Getter
@AllArgsConstructor
public enum DataPermissionType {

    /**
     * 全部数据权限
     */
    ALL(null, "全部数据权限"),

    /**
     * 个人数据权限
     */
    SELF("userId", "个人数据权限"),

    /**
     * 站点数据权限
     */
    STATION("stationId", "站点数据权限"),

    /**
     * 大队数据权限
     */
    BRIGADE("brigadeId", "大队数据权限"),

    /**
     * 科室数据权限
     */
    DEPARTMENT("departmentId", "科室数据权限"),

    /**
     * 班组数据权限
     */
    TEAM("teamId", "班组数据权限");

    /**
     * 对应的字段名
     */
    private final String fieldName;

    /**
     * 描述信息
     */
    private final String description;
}